RDKit::AtomValenceException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomValenceException:

## Public Member Functions

| AtomValenceException (const char *msg, unsigned int atomIdx)
| AtomValenceException (const std::string &msg, unsigned int atomIdx)
| AtomValenceException (const AtomValenceException &other)
virtual | ~AtomValenceException () throw ()
MolSanitizeException * | copy () const
std::string | getType () const
Public Member Functions inherited from RDKit::AtomSanitizeException
| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
virtual | ~AtomSanitizeException () throw ()
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (const std::string &msg)
| MolSanitizeException (const MolSanitizeException &other)
virtual const char * | message () const
virtual | ~MolSanitizeException () throw ()

## Additional Inherited Members

Protected Attributes inherited from RDKit::AtomSanitizeException
unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 64 of file SanitException.h.

## Constructor & Destructor Documentation

## AtomValenceException() [1/3]

RDKit::AtomValenceException::AtomValenceException | ( | const char * | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 67 of file SanitException.h.

## AtomValenceException() [2/3]

RDKit::AtomValenceException::AtomValenceException | ( | const std::string & | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 69 of file SanitException.h.

## AtomValenceException() [3/3]

RDKit::AtomValenceException::AtomValenceException | ( | const AtomValenceException & | other | ) |

inline

Definition at line 71 of file SanitException.h.

## ~AtomValenceException()

virtual RDKit::AtomValenceException::~AtomValenceException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 73 of file SanitException.h.

## Member Function Documentation

## copy()

MolSanitizeException* RDKit::AtomValenceException::copy | ( |  | ) | const

inline virtual

Reimplemented from RDKit::AtomSanitizeException.

Definition at line 74 of file SanitException.h.

## getType()

std::string RDKit::AtomValenceException::getType | ( |  | ) | const

inline virtual

Reimplemented from RDKit::AtomSanitizeException.

Definition at line 77 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h